Change in osmo-gsm-tester[master]: contrib/jenkins-build-amarisoft.sh: Allow generating trial without lteue

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Mon Jul 13 16:48:33 UTC 2020


pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-gsm-tester/+/19239 )


Change subject: contrib/jenkins-build-amarisoft.sh: Allow generating trial without lteue
......................................................................

contrib/jenkins-build-amarisoft.sh: Allow generating trial without lteue

Some Amarisoft bundles may come without lteue in it. Allow the script to
run if that's the case by setting an envvar.

Change-Id: I363b44cd8aa48f80d24219b6bf5b3ebde580e3c3
---
M contrib/jenkins-build-amarisoft.sh
1 file changed, 14 insertions(+), 11 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-tester refs/changes/39/19239/1

diff --git a/contrib/jenkins-build-amarisoft.sh b/contrib/jenkins-build-amarisoft.sh
index c210c4c..fe106f1 100755
--- a/contrib/jenkins-build-amarisoft.sh
+++ b/contrib/jenkins-build-amarisoft.sh
@@ -4,6 +4,7 @@
 amarisoft_tgz="$1"
 
 BUILD_AMARISOFT_TRX_ZMQ="${BUILD_AMARISOFT_TRX_ZMQ:-1}"
+HAVE_AMARISOFT_LTEUE="${HAVE_AMARISOFT_LTEUE:-1}"
 
 if [ ! -f "$amarisoft_tgz" ]; then
         echo "Amarisoft tgz doesn't exist: $amarisoft_tgz"
@@ -57,18 +58,20 @@
 md5sum "$tar" > "${this}.md5"
 
 # Create amarisoftue inst:
-rm -rf inst-amarisoftue && mkdir inst-amarisoftue || exit 1
-tar --strip-components=1 -zxf inst-tmp/*/lteue-linux*.tar.gz -C inst-amarisoftue/
-if [ "x${BUILD_AMARISOFT_TRX_ZMQ}" = "x1" ]; then
-        cp ${base}/${project_name_srslte}/build/lib/src/phy/rf/libsrslte_rf.so inst-amarisoftue/
-        cp ${base}/${project_name_zmq}/build/libtrx_zmq-linux-2018-10-18.so inst-amarisoftue/trx_zmq.so
-        patchelf --set-rpath '$ORIGIN/' inst-amarisoftue/trx_zmq.so
+if [ "x${HAVE_AMARISOFT_LTEUE}" = "x1" ]; then
+        rm -rf inst-amarisoftue && mkdir inst-amarisoftue || exit 1
+        tar --strip-components=1 -zxf inst-tmp/*/lteue-linux*.tar.gz -C inst-amarisoftue/
+        if [ "x${BUILD_AMARISOFT_TRX_ZMQ}" = "x1" ]; then
+                cp ${base}/${project_name_srslte}/build/lib/src/phy/rf/libsrslte_rf.so inst-amarisoftue/
+                cp ${base}/${project_name_zmq}/build/libtrx_zmq-linux-2018-10-18.so inst-amarisoftue/trx_zmq.so
+                patchelf --set-rpath '$ORIGIN/' inst-amarisoftue/trx_zmq.so
+        fi
+        cp ${base}/inst-tmp/trx_uhd-linux*/trx_uhd.so inst-amarisoftue/
+        this="amarisoftue.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
+        tar="${this}.tgz"
+        tar -czf "$tar" -C inst-amarisoftue/ .
+        md5sum "$tar" > "${this}.md5"
 fi
-cp ${base}/inst-tmp/trx_uhd-linux*/trx_uhd.so inst-amarisoftue/
-this="amarisoftue.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
-tar="${this}.tgz"
-tar -czf "$tar" -C inst-amarisoftue/ .
-md5sum "$tar" > "${this}.md5"
 
 # Create amarisoftepc inst:
 rm -rf inst-amarisoftepc && mkdir inst-amarisoftepc || exit 1

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-gsm-tester/+/19239
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-Change-Id: I363b44cd8aa48f80d24219b6bf5b3ebde580e3c3
Gerrit-Change-Number: 19239
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200713/0427c76a/attachment.htm>


More information about the gerrit-log mailing list